clear all;
close all;
Repeats = 100;
RW(1:Repeats)=0;
Steps = 500;
RANDOMME = 0;
RandomNums = [-1 0 1];
%SumMe = sum(abs(RandomNums));
%kronecker=SumMe*mean(RandomNums).^2;
kronecker = mean(RandomNums.^2);

for i2 = 1:Repeats
    for i = 1:Steps-1
        
            RANDOMME = RandomNums(randi([1,length(RandomNums)],1));
         
        RW(i+1,i2)=RW(i,i2)+ RANDOMME;   
       
    end
    subplot(3,1,1)
    plot(RW)
xlabel('Steps')
ylabel('Distance')
 pause(0.0000001)


hold off;
h2=subplot(3,1,2);
plot(abs(RW(Steps,1:i2)),'*')
xlabel('# of Iterations')
ylabel('Mean distance from x-axis')

subplot(3,1,3)


%AVERAGEVALUE(1:Repeats) = mean(abs(RW(Steps,1:i2)));
%MOVAVERAGEVALUE(1:9)=movmean(abs(RW(Steps,1:i2)),10);
    
hold on;
%plot(AVERAGEVALUE,'-k')
plot(i2,mean(movmean(abs(RW(Steps,1:i2)),10)),'*')
strcat1 = num2str(mean(abs(RW(Steps,1:i2))));
Theoretical = kronecker*sqrt(Steps);%/mean(abs(RandomNums));
strcat2 = num2str(Theoretical);
strcat3 = num2str(100*(abs(mean(movmean(abs(RW(Steps,1:i2)),10))-Theoretical)/Theoretical));
DISPLAYME = strcat('Mean: ',strcat1,'    Theoretical: ',strcat2,'   %error: ',strcat3,'%');
XLABELME = strcat('# of Iterations(','    ',DISPLAYME,')');
xlabel(XLABELME)
ylabel('Mean Mean distance from x-axis')
hold off;
set(gcf,'position',get(0,'screensize'))


end




