function [ output_args ] = Recursion( input_args )
%UNTITLED Summary of this function goes here
%   Detailed explanation goes here
clear all;

Repeatme=500;
N=1e3; %given that the vector will be the same
x_total(1)=0;
x(1)=0; 
n=2;
%the location of x(n=1)=known value=0=initial condition (given that a step
%is equivalent to time when tau (time/step) is known.
for Nindex=1:N-1
    vector1=randi([-1 1],1,Repeatme);
    kronecker = mean(vector1.^2);
  
     %this n has to start at 2 because the equation 6.5.4 requires we take n-1 which needs to be a location within our vector that is not <=0.
 
    for i = 1:Repeatme
        vector1(i)*kronecker;
        x(n)= x(n-1) + vector1(i)*kronecker;
        n=n+1;
    end
    
    

    x_total(1+Nindex)=x(n-1);
    clear x
    x(1)=0;
    n=2;
end

assignin('base','x_total',x_total)
plot(1:N,x_total)
xlabel('i^{th} particle)','FontSize',12)
ylabel('Distance Traveled in a.u.','FontSize',12)
sum(x_total)/N   %average location after n steps for a population of N; the larger the N the closer to 0 it will be.

end







